de.caff.generics

## Class MutableByteIndexable.Base

- java.lang.Object
- - de.caff.generics.ByteIndexable.Base
  - - de.caff.generics.MutableByteIndexable.Base

- All Implemented Interfaces:
    ByteIndexable, Copyable<MutableByteIndexable>, MutableByteIndexable, PrimitiveByteIterable, Sizeable, java.lang.Comparable<ByteIndexable>, java.lang.Iterable<java.lang.Byte>
  Enclosing interface:
    MutableByteIndexable

      public abstract static class MutableByteIndexable.Base
      extends ByteIndexable.Base
      implements MutableByteIndexable

  Abstract base class which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`.
  See Also:
    `Indexable.asBase()`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.MutableByteIndexable

      `MutableByteIndexable.Base`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.MutableByteIndexable

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.ByteIndexable

      `LOWERCASE_2DIGIT_HEXCODES, SINGLE_0, UPPERCASE_2DIGIT_HEXCODES`

    - ### Fields inherited from interface de.caff.generics.PrimitiveByteIterable

      `EMPTY_BYTE_ITERATOR`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    - ### Methods inherited from class de.caff.generics.ByteIndexable.Base

      `asBase, compareTo, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.MutableByteIndexable

      `asList, based, copy, copyInternally, copyOf, empty, fillFrom, fromArray, fromArray, fromByteIndexable, fromDoubleIndexable, fromFloatIndexable, fromIndexable, fromIndexable, fromIntIndexable, fromIterable, fromLongIndexable, fromShortIndexable, getCopy, headSet, init, init, initByIndex, initByIndex, order, order, reverse, revert, revert, set, setFrom, setFrom, setFromArray, setMulti, setRange, shuffle, subSet, swap, swyp, sybSet, syt, tailSet, toMutableIntIndexable, viewArray, viewArray, viewIndexable, viewList, zeroed`

    - ### Methods inherited from interface de.caff.generics.ByteIndexable

      `addAllTo, addToArray, addToArray, addToArray, addToArray, asBase, asCollection, asIndexable, asIntIndexable, asUnsignedIndexable, binarySearch, binarySearch, byteIterator, byteIterator, bytesFromHexString, compare, compareUnsigned, copyTo, copyTo, emptyIndexable, equal, equal, firstMatch, foldLeft, fromHexString, frozen, get, getMod, gyt, hash, indexes, intIndexes, intIterator, isEmpty, isOrdered, isOrdered, isStrictlyOrdered, isStrictlyOrdered, iterator, lastMatch, listIterator, nextMatch, ordered, previousMatch, rotated, singleton, toArray, toByteArray, toHexString, toHexString, toIntArray, toList, toString, view, viewArray, viewAsBoolean, viewAsDouble, viewAsFloat, viewAsInt, viewAsLong, viewAsShort, viewAsUnsignedInt, viewAsUnsignedLong, viewAsUnsignedShort, viewByIndex, viewIndexable, viewIndexable, viewIndexable, viewList, viewList, viewList, viewNumberArray, viewOp, withAppendedValue, withCachedHash, withExchangedValueAt, withInsertedValueAt, withRemovedValueAt, withSwappedValuesAt`

    - ### Methods inherited from interface de.caff.generics.PrimitiveByteIterable

      `asIntIterable, asLongIterable, asShortIterable, asUnsignedIntIterable, asUnsignedLongIterable, containsByte, forEachByte, forEachByteFragile`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

    - ### Methods inherited from interface de.caff.generics.Copyable

      `copy`

- - ### Constructor Detail

    - #### Base

          public Base()